GET /api/v3/meter

Retrieves all meters

GetMetersV3 Permissions: Meters (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountCode Account Number String equals not equals one of like not like not one of
accountId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
accountInfo Account Name String equals not equals one of like not like not one of
channelId Integer equals
city City String equals not equals one of like not like not one of
commodityCode Commodity Code String equals not equals one of like not like not one of
commodityId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
commodityInfo Commodity Name String equals not equals one of like not like not one of
hasChannels Boolean equals
hasEmissionSourceLink Linked to Carbon Hub Source Boolean equals
hasWatticsLink Linked to a Wattics data point Boolean equals
importId Device Specific Property Value String equals not equals one of like not like not one of
interval Channel Interval Integer less than equal
meterCode Logical Device Code String equals not equals one of like not like not one of
meterGroupCode Meter Group Code String equals
meterGroupId Integer equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
meterInfo Logical Device Name String equals not equals one of like not like not one of
meterTypeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
parentPlaceIsStructure Structure Boolean equals
placeCode Place Code String equals not equals one of like not like not one of
placeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeInfo Place Name String equals not equals one of like not like not one of
postalCode Postal Code String equals not equals one of like not like not one of
primaryUseCode Primary Use Code String equals not equals one of like not like not one of
primaryUseId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
primaryUseInfo Primary Use Name String equals not equals one of like not like not one of
rateCode Tariff Name String equals not equals one of like not like not one of
routeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
serialNumber Device Specific Property Value String equals not equals one of like not like not one of
state State/Province String equals not equals one of like not like not one of
topmostPlaceCode Topmost Place Code String equals
topmostPlaceInfo Topmost Place Name String equals
vendorCode Vendor Code String equals not equals one of like not like not one of
vendorId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
vendorInfo Vendor Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterResponse
Property Description Type
accounts MeterAccountChild[]
MeterAccountChild properties
Property Description Type
accountCode The code of the MeterAccount for this MeterAccount meter string
accountGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
accountId The MeterAccount identifier for this MeterAccount meter integer (int32)
accountInfo The info of the MeterAccount for this MeterAccount meter string
accountMeterId The MeterAccount meter identifier integer (int32)
active Indicates whether the Account is active or inactive boolean
dataAccessReleaseId The data access release identifier for this MeterAccount meter relationship, null if there is no release integer (int32)
endDate The ending date and time for this MeterAccount meter relationship string (date-time)
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
meterGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
startDate The beginning date and time for this MeterAccount meter relationship string (date-time)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
active Indicates whether the Meter is Active boolean
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
billEntryNote The bill entry note string
channels An array of channels assigned to this meter ChannelChild[]
ChannelChild properties
Property Description Type
channelCode The channel code Combines observationTypeCode:unitCode:observationMethodCode:observationRuleCode:interval in minutes string
channelId The channel identifier integer (int32)
interval The channel interval in seconds. Monthly = 2592000 Weekly = 604800 Daily = 86400 Hourly = 3600 Thirty_Minutes = 1800 Fifteen_Minutes = 900 integer (int32)
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the meter was created string (date-time)
demandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
emissionSource EmissionSourceLink
EmissionSourceLink properties
Property Description Type
emissionSourceId The identifier for an Emission source. integer (int32)
includeInCostAvoidance Indicates if the meter should be included in cost avoidance boolean
includeInEnergyStar Indicates if the building is included in ENERGY STAR submissions boolean
isCalculatedMeter Indicates whether the Meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the Meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the Meter is a child of a split boolean
isSplitParentMeter Indicates whether the Meter is a parent of a split boolean
meterCode The meter code string
meterDescription A description of the meter string
meterId The identifier for the meter integer (int32)
meterInfo The meter info string
meterTimeZone TimeZoneChild
TimeZoneChild properties
Property Description Type
timeZoneCode string
timeZoneId integer (int32)
timeZoneInfo string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification of the meter string (date-time)
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
primaryUse PrimaryUseChild
PrimaryUseChild properties
Property Description Type
primaryUseCode string
primaryUseId integer (int32)
primaryUseInfo string
properties An array of meter properties object
route RouteChild
RouteChild properties
Property Description Type
routeCode The route code string
routeId The route identifier integer (int32)
routeInfo The route info string
sentinelStatus Provides some insight into the current Sentinel enabled status. string
serialNumber Meter’s currently assigned serial number string
serialNumberHistory MeterSerialNumberHistoryChild
MeterSerialNumberHistoryChild properties
Property Description Type
previousSerialNumber Previous serial number of the meter string
serialNumberChangeDate Date that serial number changed string (date-time)
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
watticsDataPoint WatticsDataPoint
WatticsDataPoint properties
Property Description Type
watticsDataPointId The identifier for a SmartAnalytics (Wattics) meter integer (int32)
Example Response application/json
[
  {    "accounts": [
      {      "accountCode": "string",      "accountGeneralLedger": {},      "accountId": 1,      "accountInfo": "string",      "accountMeterId": 1,      "active": false,      "dataAccessReleaseId": 1,      "endDate": "2026-03-30",      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "meterGeneralLedger": {},      "startDate": "2026-03-30",      "vendor": {},      "vendorType": {}
    }
    ],    "active": false,    "address": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "latitude": 1.0,      "line1": "string",      "line2": "string",      "line3": "string",      "longitude": 1.0,      "postalCode": "string",      "remitTo": "string",      "state": "string"
    },    "billEntryNote": "string",    "channels": [
      {      "channelCode": "string",      "channelId": 1,      "interval": 1
    }
    ],    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "demandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "emissionSource": {      "emissionSourceId": 1
    },    "includeInCostAvoidance": false,    "includeInEnergyStar": false,    "isCalculatedMeter": false,    "isEsaCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterDescription": "string",    "meterId": 1,    "meterInfo": "string",    "meterTimeZone": {      "timeZoneCode": "string",      "timeZoneId": 1,      "timeZoneInfo": "string"
    },    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "place": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    },    "primaryUse": {      "primaryUseCode": "string",      "primaryUseId": 1,      "primaryUseInfo": "string"
    },    "properties": {},    "route": {      "routeCode": "string",      "routeId": 1,      "routeInfo": "string"
    },    "sentinelStatus": "string",    "serialNumber": "string",    "serialNumberHistory": {      "previousSerialNumber": "string",      "serialNumberChangeDate": "2026-03-30"
    },    "useUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "watticsDataPoint": {      "watticsDataPointId": 1
    }
  }
]